Page MenuHomePhabricator

Behavior of "Automatic" citation when bad input is provided is confusing
Closed, ResolvedPublic8 Story Points

Description

Behavior of "Automatic" citation when something unciteable is provided is confusing.

Issues:

  • "Back" at the top doesn't look connected to the error message, hard to realize that it allows the user to go back to the text field.
  • The text field with erroneous input is hidden, making it impossible to possibly spot a typo.
  • There is no clear indication that this is an error message (no red highlights).
  • Error message directs the user to use "the Manual tab above", rather than just provide a clickable link/button.

I liked the one in the mockup on T96946, which I feel solves all these problems:

Can we do something like that? Especially let's keep the text field visible, with 'invalid' state set, rather than provide an awkward "Back" button.

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2015, 10:19 PM
Mvolz moved this task from Service: Scraper & Validation to Extension on the Citoid board.
Nirzar added a comment.EditedMay 11 2015, 6:01 PM

Yes, The process should not proceed to next step when there is an issue with the text field. Instead of going forward and then showing error, it should show error message in-place. I think this was my bad, I should have provided all cases in T97390

here's a mockup

Neil_P._Quinn_WMF triaged this task as High priority.May 12 2015, 8:40 PM
Neil_P._Quinn_WMF set Security to None.
Neil_P._Quinn_WMF lowered the priority of this task from High to Normal.May 12 2015, 8:48 PM
matmarex added a subscriber: Krinkle.

Per T101172 this regressed further, the error message now doesn't even have the tabs displayed:

Change 216006 had a related patch set uploaded (by Jforrester):
Restrict 'fullscreen' mode to success 'result' panel

https://gerrit.wikimedia.org/r/216006

Jdforrester-WMF closed this task as Resolved.Jun 4 2015, 11:43 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 216006 merged by jenkins-bot:
Restrict 'fullscreen' mode to success 'result' panel

https://gerrit.wikimedia.org/r/216006

matmarex reopened this task as Open.Jun 5 2015, 12:18 AM

Not all fixed yet; this patch only fixed the regression mentioned in T101172 / T98715#1332168.

Change 216978 had a related patch set uploaded (by Esanders):
Move citation error inline

https://gerrit.wikimedia.org/r/216978

Change 216978 merged by Mvolz:
Move citation error inline

https://gerrit.wikimedia.org/r/216978

Jdforrester-WMF closed this task as Resolved.Jun 15 2015, 3:39 PM
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Jun 17 2015, 11:35 PM